// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: "2024-04-03",
  devtools: { enabled: true },

  // server: {
  //   proxy: {
  //     "/api": {
  //       target: "https://dev.abricam.ir/api/",
  //       changeOrigin: true,
  //       secure: false,
  //       ws: true,
  //     },
  //   },
  // },
  // vite: {
  //   server: {
  //     proxy: {
  //       "/api": {
  //         target: "https://dev.abricam.ir/api/",
  //         changeOrigin: true,
  //         rewrite: (path) => path.replace(/^\/api/, ""),
  //       },
  //     },
  //   },
  // },

  runtimeConfig: {
    public: {
      myProxyUrl: "https://dev.abricam.ir/api/", // Ensure this is correct
    },
  },
  app: {
    head: {
      charset: "utf-8",
      viewport: "width=device-width, initial-scale=1",
      link: [
        {
          rel: "icon",
          type: "image/png",
          href: "_nuxt/assets/images/icon/favicon.ico",
        },
      ],
    },
  },

  css: [
    "~/assets/fonts/FontAwesome.Pro.6.6.0/css/all.css",
    "~/assets/css/tailwind.css",
    "~/assets/css/style.css",
    "~/assets/css/main.css",
  ],

  modules: ["@nuxtjs/tailwindcss", "@nuxtjs/i18n", "@nuxt/image"],

  i18n: {
    locale: "fa",
    defaultLocale: "fa",
    locales: [
      { code: "en", name: "English", file: "lang/en.json", dir: "ltr" },
      { code: "fa", name: "Farsi", file: "lang/fa.json", dir: "rtl" },
    ],
    legacy: false,
    locale: "fa",
  },

  tailwindcss: {
    // Options
  },

  image: {
    dir: "assets/images",
  },
});
