import { joinURL } from "ufo";

export default defineEventHandler(async (event) => {
  const config = useRuntimeConfig();
  const proxyUrl = config.public.myProxyUrl; // Ensure you use public runtime config

  // Get the path and strip '/api/' prefix
  const path = event.node.req.url.replace(/^\/api\//, "");
  const target = joinURL(proxyUrl, path);

  try {
    // Proxy the request
    return await proxyRequest(event, target);
  } catch (error) {
    console.error("Error in proxy request:", error);
    throw createError({
      statusCode: 502,
      statusMessage: "Bad Gateway",
      message: "Failed to reach external API",
    });
  }
});
